//  Giuseppe Vacanti (cosine science & computing bv)
//  March 18, 2003
// 
//   $Id: HkNamer.cc,v 1.1 2003/05/06 08:53:03 gvacanti Exp $

#include<HkNamer.h>
#include<OdfIcd.h>

std::string HkNamer::operator()(const OdfIngest::Exposure & e, Xmm::DataMode d) const {
  std::string basename =  OdfIcd::hkname(e,d);
  std::string directory = e.observation()->directory();
  return directory + "/" + basename;
}
