//  Giuseppe Vacanti (cosine science & computing bv)
//  January  8, 2003
// 
//   $Id: DataSetTest.cc,v 1.1 2003/05/06 08:53:05 gvacanti Exp $

#include<Observation.h>

#include<string>
#include<cassert>

int main() {
    using namespace OdfIngest;
    std::string name("0001_0000010010_M1S00110IME.FIT");
    OdfDataSet ds(name);
    assert(ds.exposure_identifier() == "M1S001");
    assert(ds.start().toString(0) == "2000-04-28T10:40:58");
    assert(ds.end().toString(0) == "2000-04-28T10:49:18");
    assert(ds.has_time());
    assert(ds.scheduled_status() == OdfDataSet::Scheduled);
    assert(ds.type() == OdfDataSet::EVENT_LIST);
}

