//  Giuseppe Vacanti (cosine science & computing bv)
//  August 18, 2003
// 
//   $Id: NonPeriodicHkTest.cc,v 1.1 2003/08/26 15:22:31 gvacanti Exp $

#include<SmartDal>
#include<iostream>
#include<STime.h>
#include<TimeRows.h>
#include<cassert>

int main() {
  using namespace SmartDal;
  DataSetH set = open_set("0153_0129360201_M1X00000HCH.FIT", Read, Low);
  TableH table = set->table(0);
  TimeRows tr(table);
  STime st("2000-10-10T01:34:58");
  std::pair<long, long> p = tr.active_range(st);
  std::cout << "Active range for " << st.toString() << std::endl;
  std::cout << p.first << " " << p.second << std::endl;
  assert(p.first == 0 && p.second == 8);
}
